server:
  port: 8091

#spring:
#  datasource:
#    type: com.zaxxer.hikari.HikariDataSource
#    url: ${MYSQL_URI:jdbc:mysql://localhost:3306/test_db?useUnicode=true&characterEncoding=utf8}
#    username: ${MYSQL_USER:root}
#    password: ${MYSQL_PASSWORD:root}
#    hikari:
#      maximum-pool-size: ${CONNECTION_POOL_SIZE:5}
#  jpa:
#    show-sql: true
#    #database-platform: org.hibernate.dialect.H2Dialect
#    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
#    open-in-view: false
#    generate-ddl: false
#    properties:
#      hibernate:
#        jdbc:
#          batch_size: 50
#        order_inserts: true
#        order_updates: true
#    hibernate:
#      generate_statistics: true
#      ddl-auto: update

spring:
  h2:
    console:
      enabled: true
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    url: jdbc:h2:mem:Demo_tube;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE
    name:
    username: sa
    password:
  jpa:
    show-sql: true
    database-platform: org.hibernate.dialect.H2Dialect
    properties:
      hibernate:
        generate_statistics: true
        ddl-auto: update

db-scheduler:
  enabled: true
  heartbeat-interval: ${HEARTBEAT_INTERVAL:5m} # interval re-run task false
  polling-interval: ${POLLING_INTERVAL:10s} # interval to check for new jobs in db
  polling-limit: ${POLLING_LIMIT:10} # max number of jobs to process in one polling
  table-name: ${TABLE_NAME:SCHEDULED_TASK}
  immediate-execution-enabled: ${IMMEDIATE_EXECUTION_ENABLED:true} # if true, immediate execution will be enabled
  scheduler-name: ${SCHEDULER_NAME:db-scheduler}
  threads: ${THREADS:10}
  shutdown-max-wait: 3m

app:
  job:
    sync-status:
      cron: ${CRON:*/59 * * * * *}

firebase:
  fcm-path: firebase/fcm.json